Subject: [bug#38436] [PATCH] gnu: Add gfortran-toolchain

From: Konrad Hinsen <[email-masked]>
Date: Thu, 12 Dec 2019 16:19:24 +0100

Hi Ludo,

> The exact rule is given the the ‘--keyword’ options in
> po/packages/Makevars.  Namely, xgettext will recognize:

Great, good to know!

>   (let-syntax ((synopsis (syntax-rules () ((_ str) str))))
>     (make-gcc-toolchain gfortran #:synopsis (synopsis "…")))
>
> Quite an effort for this little thing, but I couldn’t find of anything
> simpler.

It looks like I still don't understand how this works. Why wouldn't
the simpler

   (let ((synopsis (lambda (_) _)))
     (make-gcc-toolchain gfortran #:synopsis (synopsis "…")))

be sufficient? And is there a good reason to prefer such constructs
to

  (define-public gfortran-toolchain
   (package (inherit (make-gcc-toolchain gfortran))
     (synopsis ...)
     (description ...)

which I think expresses the intention more clearly?

Cheers,
  Konrad